# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "rorm-macro"
version = "0.7.0"
authors = [
    "gammelalf",
    "myOmikron <git@omikron.dev>",
]
description = "Macro definitions for rorm."
homepage = "https://rorm.rs"
documentation = "https://docs.rorm.rs"
keywords = [
    "declarative",
    "orm",
    "database",
    "macros",
]
categories = ["database"]
license = "MIT"
repository = "https://github.com/rorm-orm/rorm"

[lib]
proc-macro = true

[dependencies.darling]
version = "~0.14"

[dependencies.proc-macro2]
version = "~1"

[dependencies.quote]
version = "~1"

[dependencies.syn]
version = "~1"

[build-dependencies.rustc_version]
version = "0.4.0"

[features]
default = ["syn/full"]
unstable = []
